Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1934 (closed defect: fixed)

Opened 11 years ago

Last modified 11 years ago

Cannot compile from SVN 3403

Reported by: D Assigned to:
Priority: major Milestone: version 0.9.5
Component: madwifi: other Version: trunk
Keywords: Cc:
Patch is attached: 0 Pending:

Description (Last modified by mentor)

I cannot compile SVN from SVN 3403 (which compiles fine) .. all new versions cannot compile. I have tried multiple kernels on multiple machines (p2, p3, p4, duron, athlon). Right now I'm using latest 2.6.25.3

root@nod5:/INSTALL/madwifi# make
Checking requirements... ok.
Checking kernel configuration... ok.
make -C /lib/modules/2.6.24/build SUBDIRS=/INSTALL/madwifi modules
make[1]: Entering directory `/usr/src/linux-2.6.24'
  CC [M]  /INSTALL/madwifi/ath/if_ath.o
/INSTALL/madwifi/ath/if_ath.c: In function `ath_intr_process_rx_descriptors':
/INSTALL/madwifi/ath/if_ath.c:168: sorry, unimplemented: inlining failed in call to 'ath_ds_link_swap': function body not available
/INSTALL/madwifi/ath/if_ath.c:2122: sorry, unimplemented: called from here
make[3]: *** [/INSTALL/madwifi/ath/if_ath.o] Error 1
make[2]: *** [/INSTALL/madwifi/ath] Error 2
make[1]: *** [_module_/INSTALL/madwifi] Error 2
make[1]: Leaving directory `/usr/src/linux-2.6.24'
make: *** [modules] Error 2

Change History

05/10/08 20:31:14 changed by mentor

  • description changed.

05/11/08 21:33:29 changed by mentor

  • priority changed from critical to major.

05/12/08 03:49:13 changed by mentor

Would you paste a log of running 'make V=1'? Remember to use WikiFormatting...

05/12/08 13:32:42 changed by D

hmm. it seems latest SVN compiles ok! thank you if you did something. (maybe that GCC thing I saw in changelog)

I do have some message (comment) coming up during compile. is it intentional?

root@NOD1:/INSTALL/madwifi# make
Checking requirements... ok.
Checking kernel configuration... ok.
make -C /lib/modules/2.6.24/build SUBDIRS=/INSTALL/madwifi modules
make[1]: Entering directory `/usr/src/linux-2.6.24'
  CC [M]  /INSTALL/madwifi/ath/if_ath.o
  CC [M]  /INSTALL/madwifi/ath/if_ath_radar.o
  CC [M]  /INSTALL/madwifi/ath/if_ath_pci.o
  LD [M]  /INSTALL/madwifi/ath/ath_pci.o
  CC [M]  /INSTALL/madwifi/ath_hal/ah_os.o
  HOSTCC  /INSTALL/madwifi/ath_hal/uudecode
  UUDECODE /INSTALL/madwifi/ath_hal/i386-elf.hal.o
# Replace as many hashed names as possible with meaningful
# ones in the symbol table of the binary kernel module for HAL.
objcopy \
                `cat /INSTALL/madwifi/ath_hal/../scripts/hal_unmangle.objcopy` \
                /INSTALL/madwifi/ath_hal/i386-elf.hal.o
  LD [M]  /INSTALL/madwifi/ath_hal/ath_hal.o
  CC [M]  /INSTALL/madwifi/ath_rate/amrr/amrr.

05/12/08 13:34:25 changed by D

hm.. seems I was premature to say that. It does in fact compile but I have some kmalloc warnings

make[1]: Leaving directory `/usr/src/linux-2.6.25.3'
make -C ./tools  all || exit 1
make[1]: Entering directory `/INSTALL/EXPERIMENTAL/madwifi/tools'
gcc -o athstats -g -O2 -Wall -I. -I../hal -I.. -I../ath_hal -I../ath  athstats.c
gcc -o 80211stats -g -O2 -Wall -I. -I../hal -I.. -I../ath_hal  80211stats.c
In file included from 80211stats.c:56:
../include/compat.h: In function `kzalloc':
../include/compat.h:68: warning: implicit declaration of function `kmalloc'
../include/compat.h:68: warning: initialization makes pointer from integer without a cast
../include/compat.h:69: warning: implicit declaration of function `likely'
gcc -o athkey -g -O2 -Wall -I. -I../hal -I.. -I../ath_hal  athkey.c
In file included from athkey.c:55:
../include/compat.h: In function `kzalloc':
../include/compat.h:68: warning: implicit declaration of function `kmalloc'
../include/compat.h:68: warning: initialization makes pointer from integer without a cast
../include/compat.h:69: warning: implicit declaration of function `likely'
gcc -o athchans -g -O2 -Wall -I. -I../hal -I.. -I../ath_hal  athchans.c
In file included from athchans.c:55:
../include/compat.h: In function `kzalloc':
../include/compat.h:68: warning: implicit declaration of function `kmalloc'
../include/compat.h:68: warning: initialization makes pointer from integer without a cast
../include/compat.h:69: warning: implicit declaration of function `likely'
gcc -o athctrl -g -O2 -Wall -I. -I../hal -I.. -I../ath_hal  athctrl.c
gcc -o athdebug -g -O2 -Wall -I. -I../hal -I.. -I../ath_hal  athdebug.c
gcc -o 80211debug -g -O2 -Wall -I. -I../hal -I.. -I../ath_hal  80211debug.c
gcc -o wlanconfig -g -O2 -Wall -I. -I../hal -I.. -I../ath_hal  wlanconfig.c
In file included from wlanconfig.c:58:
../include/compat.h: In function `kzalloc':
../include/compat.h:68: warning: implicit declaration of function `kmalloc'
../include/compat.h:68: warning: initialization makes pointer from integer without a cast
../include/compat.h:69: warning: implicit declaration of function `likely'
make[1]: Leaving directory `/INSTALL/EXPERIMENTAL/madwifi/tools

06/06/08 07:41:02 changed by proski

  • status changed from new to closed.
  • resolution set to fixed.

The inline issue is fixed in r3626. The tools compilation issue is fixed in r3706. The comment issue is fixed in r3707.

06/06/08 09:20:13 changed by mrenzmann

  • milestone set to version 0.9.5.